package macampcorp.macamp.utils.files;

import android.app.Activity;
import android.util.Log;

import org.json.JSONArray;
import org.json.JSONObject;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;

/**
 * Created by ptitcois on 27/03/17.
 */
public class JSONAssetsManager {

    public static JSONObject load(Activity context, String name)
    {
        InputStream inputStream = null;
        try {
            inputStream = FileManager.openFile(context, name);
        } catch (Exception e) {
            e.printStackTrace();
        }
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();


        int ctr;
        try {
            ctr = inputStream.read();
            while (ctr != -1) {
                byteArrayOutputStream.write(ctr);
                ctr = inputStream.read();
            }
            inputStream.close();
        } catch (Exception e) {
            return null;
        }
        try {
            // Parse the data into jsonobject to get original data in form of json.
            JSONObject jObject = new JSONObject(byteArrayOutputStream.toString());
            return jObject;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static JSONArray loadArray(Activity context, String name)
    {
        InputStream inputStream = null;
        try {
            inputStream = FileManager.openFile(context, name);
        } catch (Exception e) {
            e.printStackTrace();
        }
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();

        int ctr;
        try {
            ctr = inputStream.read();
            while (ctr != -1) {
                byteArrayOutputStream.write(ctr);
                ctr = inputStream.read();
            }
            inputStream.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            // Parse the data into jsonobject to get original data in form of json.
            JSONArray jObject = new JSONArray(byteArrayOutputStream.toString());
            return jObject;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

}
